<?php
namespace BotKit;

// Файл, на который поступают запросы

require_once __DIR__.'/src/bootstrap.php';
use BotKit\Common\Bot;
use BotKit\Common\Commands;
use BotKit\Drivers\TgBotDriver;
use BotKit\Events\PlainMessageEvent;
use BotKit\Events\MemberJoinedEvent;
use BotKit\Events\MemberLeftEvent;

$tgdriver = new TgBotDriver($_ENV['TELEGRAMORG_TOKEN']);

$bot = new Bot();
$bot->loadDriver($tgdriver);
$bot->ensureDriversLoaded();

$bot->on(
    PlainMessageEvent::class,
    function ($e, $u, $driver) {
        return true;
    },
    "BotKit\Common\Commands::echoMessage"
);

$bot->onEvent(
    MemberJoinedEvent::class,
    "BotKit\Common\Commands::greetMember"
);

$bot->onEvent(
    MemberLeftEvent::class,
    "BotKit\Common\Commands::bye"
);