<?php

namespace BotKit\Common;

// Команды бота

use BotKit\Common\Message;
use BotKit\Enums\Platform;

class Commands {
    public static function echoMessage($e, $u, $driver) {
        $driver->reply($e, Message::create($e->getText()));
        $driver->sendMessage($u, Message::create("DIRECT MESSAGE"));
    }

    // Функция приветствия пользователя
    public static function greetMember($e, $u, $driver) {
        $username = self::getNick($u, $driver);
        $driver->sendToChat(
            $e->getChat(),
            Message::create("Добро пожаловать в чат, ".$username)
        );
    }

    // Функция прощания с пользователем
    public static function bye($e, $u, $driver) {
        $username = self::getNick($u, $driver);
        echo $username;
        $driver->sendMessage($u, Message::create("Будем скучать, ".$username));
    }

    // Возвращает ник пользователя
    private static function getNick($u, $driver) {
        $username = $driver->getUserNick($u);
        if (empty($username)) {
            return $u->getPlatformID();
        }
        return $username;
    }
}